Summary: uvscan for CUED
Name: uvscan-cued
Version: 4.40.0
Release: 6
Copyright: McAfee
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: CUED
Buildroot: %{_tmppath}/%{name}-build.root
Requires: compat

#Source0: ftp://ftp.csx.cam.ac.uk/cam_only/McAfee/VS_Command_Line/vlnx432l.tar.z
Source0: ftp://ftp.csx.cam.ac.uk/cam_only/McAfee/VS_Command_Line/vlnx440l.tar.gz
Source1: uvscan-script.tar.gz
Patch0: install-uvscan-patch

%description
Unix command line virus scanner

%prep
%setup -c $RPM_SOURCE_DIR
%setup -a 1 -c $RPM_SOURCE_DIR
%patch0
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/uvscan
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
yes n | ./install-uvscan $RPM_BUILD_ROOT/usr/local/uvscan

mkdir -p $RPM_BUILD_ROOT/usr/local/uvscan/script
for i in config uvscan.dat.update.sh uvscan.dat.update.pl
do
	install uvscan-script/$i $RPM_BUILD_ROOT/usr/local/uvscan/script
done
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
install -m 0644 uvscan-script/uvscan.dat.update.cron $RPM_BUILD_ROOT/etc/cron.d/uvscan

pushd $RPM_BUILD_ROOT/usr/local/bin
ln -sf ../uvscan/uvscan
ln -sf ../uvscan/uvscan_secure
popd

pushd $RPM_BUILD_ROOT/usr/local/lib
ln -sf ../uvscan/liblnxfv.so.4
ln -sf ./liblnxfv.so.4 liblnxfv.so
popd

%files
%defattr(-,root,root)
%config /usr/local/uvscan/scan.dat
%config /usr/local/uvscan/names.dat
%config /usr/local/uvscan/clean.dat
%config /usr/local/uvscan/messages.dat
%config /usr/local/uvscan/license.dat
/usr/local/uvscan/readme.txt
/usr/local/uvscan/e4400upg.pdf
/usr/local/uvscan/contact.txt
/usr/local/uvscan/license.txt
/usr/local/uvscan/signlic.txt
/usr/local/uvscan/uvscan
/usr/local/uvscan/uvscan_secure
/usr/local/uvscan/liblnxfv.so.4
/usr/local/uvscan/liblnxfv.so
/usr/local/uvscan/uninstall-uvscan
/usr/local/uvscan/uvscan.1
/usr/local/bin/uvscan
/usr/local/bin/uvscan_secure
/usr/local/lib/liblnxfv.so.4
/usr/local/lib/liblnxfv.so
%config /usr/local/uvscan/script/config
/usr/local/uvscan/script/uvscan.dat.update.sh
/usr/local/uvscan/script/uvscan.dat.update.pl
/etc/cron.d/uvscan
